Package org.eclipse.wst.xsl.core.internal.parser

## org.eclipse.wst.xsl.core.internal.parser
Class XSLSourceParser

    public class XSLSourceParser
    extends XMLSourceParser

## Constructor Summary

`XSLSourceParser()`

## Method Summary

`public RegionParser` | `newInstance()`
`protected IStructuredDocumentRegion` | `parseNodes()`
`protected void` | `setTokenizer(BlockTokenizer newTokenizer)`

## Constructor Detail

## XSLSourceParser

`public XSLSourceParser()`

## Methods Detail

## newInstance

`public RegionParser newInstance()`

### Returns

`RegionParser`

## parseNodes

`protected IStructuredDocumentRegion parseNodes()`

### Returns

`IStructuredDocumentRegion`

## setTokenizer

`protected void setTokenizer(BlockTokenizer newTokenizer)`

### Parameters

`newTokenizer`